<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.harmonic.mapper.RMpHarmonicIMagReportDMapper">

    <resultMap id="BaseResultMap" type="com.njcn.harmonic.pojo.po.RMpHarmonicIMagReportD">
            <id property="measurementPointId" column="measurement_point_id" jdbcType="VARCHAR"/>
            <id property="dataDate" column="data_date" jdbcType="DATE"/>
            <id property="phase" column="phase" jdbcType="VARCHAR"/>
            <result property="fundamentalCurrentMax" column="fundamental_current_max" jdbcType="FLOAT"/>
            <result property="fundamentalCurrentMin" column="fundamental_current_min" jdbcType="FLOAT"/>
            <result property="fundamentalCurrentAvg" column="fundamental_current_avg" jdbcType="FLOAT"/>
            <result property="fundamentalCurrent95" column="fundamental_current_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentThdMax" column="harmonic_current_thd_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentThdMin" column="harmonic_current_thd_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentThdAvg" column="harmonic_current_thd_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentThd95" column="harmonic_current_thd_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective2Max" column="harmonic_current_effective_2_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective2Min" column="harmonic_current_effective_2_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective2Avg" column="harmonic_current_effective_2_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective295" column="harmonic_current_effective_2_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective3Max" column="harmonic_current_effective_3_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective3Min" column="harmonic_current_effective_3_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective3Avg" column="harmonic_current_effective_3_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective395" column="harmonic_current_effective_3_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective4Max" column="harmonic_current_effective_4_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective4Min" column="harmonic_current_effective_4_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective4Avg" column="harmonic_current_effective_4_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective495" column="harmonic_current_effective_4_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective5Max" column="harmonic_current_effective_5_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective5Min" column="harmonic_current_effective_5_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective5Avg" column="harmonic_current_effective_5_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective595" column="harmonic_current_effective_5_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective6Max" column="harmonic_current_effective_6_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective6Min" column="harmonic_current_effective_6_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective6Avg" column="harmonic_current_effective_6_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective695" column="harmonic_current_effective_6_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective7Max" column="harmonic_current_effective_7_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective7Min" column="harmonic_current_effective_7_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective7Avg" column="harmonic_current_effective_7_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective795" column="harmonic_current_effective_7_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective8Max" column="harmonic_current_effective_8_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective8Min" column="harmonic_current_effective_8_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective8Avg" column="harmonic_current_effective_8_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective895" column="harmonic_current_effective_8_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective9Max" column="harmonic_current_effective_9_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective9Min" column="harmonic_current_effective_9_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective9Avg" column="harmonic_current_effective_9_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective995" column="harmonic_current_effective_9_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective10Max" column="harmonic_current_effective_10_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective10Min" column="harmonic_current_effective_10_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective10Avg" column="harmonic_current_effective_10_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective1095" column="harmonic_current_effective_10_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective11Max" column="harmonic_current_effective_11_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective11Min" column="harmonic_current_effective_11_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective11Avg" column="harmonic_current_effective_11_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective1195" column="harmonic_current_effective_11_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective12Max" column="harmonic_current_effective_12_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective12Min" column="harmonic_current_effective_12_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective12Avg" column="harmonic_current_effective_12_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective1295" column="harmonic_current_effective_12_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective13Max" column="harmonic_current_effective_13_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective13Min" column="harmonic_current_effective_13_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective13Avg" column="harmonic_current_effective_13_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective1395" column="harmonic_current_effective_13_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective14Max" column="harmonic_current_effective_14_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective14Min" column="harmonic_current_effective_14_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective14Avg" column="harmonic_current_effective_14_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective1495" column="harmonic_current_effective_14_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective15Max" column="harmonic_current_effective_15_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective15Min" column="harmonic_current_effective_15_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective15Avg" column="harmonic_current_effective_15_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective1595" column="harmonic_current_effective_15_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective16Max" column="harmonic_current_effective_16_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective16Min" column="harmonic_current_effective_16_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective16Avg" column="harmonic_current_effective_16_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective1695" column="harmonic_current_effective_16_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective17Max" column="harmonic_current_effective_17_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective17Min" column="harmonic_current_effective_17_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective17Avg" column="harmonic_current_effective_17_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective1795" column="harmonic_current_effective_17_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective18Max" column="harmonic_current_effective_18_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective18Min" column="harmonic_current_effective_18_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective18Avg" column="harmonic_current_effective_18_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective1895" column="harmonic_current_effective_18_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective19Max" column="harmonic_current_effective_19_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective19Min" column="harmonic_current_effective_19_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective19Avg" column="harmonic_current_effective_19_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective1995" column="harmonic_current_effective_19_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective20Max" column="harmonic_current_effective_20_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective20Min" column="harmonic_current_effective_20_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective20Avg" column="harmonic_current_effective_20_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective2095" column="harmonic_current_effective_20_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective21Max" column="harmonic_current_effective_21_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective21Min" column="harmonic_current_effective_21_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective21Avg" column="harmonic_current_effective_21_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective2195" column="harmonic_current_effective_21_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective22Max" column="harmonic_current_effective_22_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective22Min" column="harmonic_current_effective_22_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective22Avg" column="harmonic_current_effective_22_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective2295" column="harmonic_current_effective_22_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective23Max" column="harmonic_current_effective_23_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective23Min" column="harmonic_current_effective_23_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective23Avg" column="harmonic_current_effective_23_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective2395" column="harmonic_current_effective_23_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective24Max" column="harmonic_current_effective_24_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective24Min" column="harmonic_current_effective_24_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective24Avg" column="harmonic_current_effective_24_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective2495" column="harmonic_current_effective_24_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective25Max" column="harmonic_current_effective_25_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective25Min" column="harmonic_current_effective_25_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective25Avg" column="harmonic_current_effective_25_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective2595" column="harmonic_current_effective_25_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective26Max" column="harmonic_current_effective_26_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective26Min" column="harmonic_current_effective_26_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective26Avg" column="harmonic_current_effective_26_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective2695" column="harmonic_current_effective_26_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective27Max" column="harmonic_current_effective_27_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective27Min" column="harmonic_current_effective_27_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective27Avg" column="harmonic_current_effective_27_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective2795" column="harmonic_current_effective_27_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective28Max" column="harmonic_current_effective_28_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective28Min" column="harmonic_current_effective_28_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective28Avg" column="harmonic_current_effective_28_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective2895" column="harmonic_current_effective_28_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective29Max" column="harmonic_current_effective_29_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective29Min" column="harmonic_current_effective_29_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective29Avg" column="harmonic_current_effective_29_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective2995" column="harmonic_current_effective_29_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective30Max" column="harmonic_current_effective_30_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective30Min" column="harmonic_current_effective_30_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective30Avg" column="harmonic_current_effective_30_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective3095" column="harmonic_current_effective_30_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective31Max" column="harmonic_current_effective_31_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective31Min" column="harmonic_current_effective_31_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective31Avg" column="harmonic_current_effective_31_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective3195" column="harmonic_current_effective_31_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective32Max" column="harmonic_current_effective_32_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective32Min" column="harmonic_current_effective_32_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective32Avg" column="harmonic_current_effective_32_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective3295" column="harmonic_current_effective_32_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective33Max" column="harmonic_current_effective_33_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective33Min" column="harmonic_current_effective_33_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective33Avg" column="harmonic_current_effective_33_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective3395" column="harmonic_current_effective_33_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective34Max" column="harmonic_current_effective_34_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective34Min" column="harmonic_current_effective_34_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective34Avg" column="harmonic_current_effective_34_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective3495" column="harmonic_current_effective_34_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective35Max" column="harmonic_current_effective_35_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective35Min" column="harmonic_current_effective_35_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective35Avg" column="harmonic_current_effective_35_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective3595" column="harmonic_current_effective_35_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective36Max" column="harmonic_current_effective_36_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective36Min" column="harmonic_current_effective_36_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective36Avg" column="harmonic_current_effective_36_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective3695" column="harmonic_current_effective_36_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective37Max" column="harmonic_current_effective_37_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective37Min" column="harmonic_current_effective_37_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective37Avg" column="harmonic_current_effective_37_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective3795" column="harmonic_current_effective_37_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective38Max" column="harmonic_current_effective_38_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective38Min" column="harmonic_current_effective_38_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective38Avg" column="harmonic_current_effective_38_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective3895" column="harmonic_current_effective_38_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective39Max" column="harmonic_current_effective_39_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective39Min" column="harmonic_current_effective_39_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective39Avg" column="harmonic_current_effective_39_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective3995" column="harmonic_current_effective_39_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective40Max" column="harmonic_current_effective_40_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective40Min" column="harmonic_current_effective_40_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective40Avg" column="harmonic_current_effective_40_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective4095" column="harmonic_current_effective_40_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective41Max" column="harmonic_current_effective_41_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective41Min" column="harmonic_current_effective_41_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective41Avg" column="harmonic_current_effective_41_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective4195" column="harmonic_current_effective_41_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective42Max" column="harmonic_current_effective_42_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective42Min" column="harmonic_current_effective_42_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective42Avg" column="harmonic_current_effective_42_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective4295" column="harmonic_current_effective_42_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective43Max" column="harmonic_current_effective_43_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective43Min" column="harmonic_current_effective_43_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective43Avg" column="harmonic_current_effective_43_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective4395" column="harmonic_current_effective_43_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective44Max" column="harmonic_current_effective_44_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective44Min" column="harmonic_current_effective_44_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective44Avg" column="harmonic_current_effective_44_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective4495" column="harmonic_current_effective_44_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective45Max" column="harmonic_current_effective_45_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective45Min" column="harmonic_current_effective_45_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective45Avg" column="harmonic_current_effective_45_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective4595" column="harmonic_current_effective_45_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective46Max" column="harmonic_current_effective_46_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective46Min" column="harmonic_current_effective_46_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective46Avg" column="harmonic_current_effective_46_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective4695" column="harmonic_current_effective_46_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective47Max" column="harmonic_current_effective_47_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective47Min" column="harmonic_current_effective_47_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective47Avg" column="harmonic_current_effective_47_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective4795" column="harmonic_current_effective_47_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective48Max" column="harmonic_current_effective_48_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective48Min" column="harmonic_current_effective_48_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective48Avg" column="harmonic_current_effective_48_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective4895" column="harmonic_current_effective_48_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective49Max" column="harmonic_current_effective_49_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective49Min" column="harmonic_current_effective_49_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective49Avg" column="harmonic_current_effective_49_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective4995" column="harmonic_current_effective_49_95" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective50Max" column="harmonic_current_effective_50_max" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective50Min" column="harmonic_current_effective_50_min" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective50Avg" column="harmonic_current_effective_50_avg" jdbcType="FLOAT"/>
            <result property="harmonicCurrentEffective5095" column="harmonic_current_effective_50_95" jdbcType="FLOAT"/>
    </resultMap>

    <sql id="Base_Column_List">
        measurement_point_id,data_date,phase,
        fundamental_current_max,fundamental_current_min,fundamental_current_avg,
        fundamental_current_95,harmonic_current_thd_max,harmonic_current_thd_min,
        harmonic_current_thd_avg,harmonic_current_thd_95,harmonic_current_effective_2_max,
        harmonic_current_effective_2_min,harmonic_current_effective_2_avg,harmonic_current_effective_2_95,
        harmonic_current_effective_3_max,harmonic_current_effective_3_min,harmonic_current_effective_3_avg,
        harmonic_current_effective_3_95,harmonic_current_effective_4_max,harmonic_current_effective_4_min,
        harmonic_current_effective_4_avg,harmonic_current_effective_4_95,harmonic_current_effective_5_max,
        harmonic_current_effective_5_min,harmonic_current_effective_5_avg,harmonic_current_effective_5_95,
        harmonic_current_effective_6_max,harmonic_current_effective_6_min,harmonic_current_effective_6_avg,
        harmonic_current_effective_6_95,harmonic_current_effective_7_max,harmonic_current_effective_7_min,
        harmonic_current_effective_7_avg,harmonic_current_effective_7_95,harmonic_current_effective_8_max,
        harmonic_current_effective_8_min,harmonic_current_effective_8_avg,harmonic_current_effective_8_95,
        harmonic_current_effective_9_max,harmonic_current_effective_9_min,harmonic_current_effective_9_avg,
        harmonic_current_effective_9_95,harmonic_current_effective_10_max,harmonic_current_effective_10_min,
        harmonic_current_effective_10_avg,harmonic_current_effective_10_95,harmonic_current_effective_11_max,
        harmonic_current_effective_11_min,harmonic_current_effective_11_avg,harmonic_current_effective_11_95,
        harmonic_current_effective_12_max,harmonic_current_effective_12_min,harmonic_current_effective_12_avg,
        harmonic_current_effective_12_95,harmonic_current_effective_13_max,harmonic_current_effective_13_min,
        harmonic_current_effective_13_avg,harmonic_current_effective_13_95,harmonic_current_effective_14_max,
        harmonic_current_effective_14_min,harmonic_current_effective_14_avg,harmonic_current_effective_14_95,
        harmonic_current_effective_15_max,harmonic_current_effective_15_min,harmonic_current_effective_15_avg,
        harmonic_current_effective_15_95,harmonic_current_effective_16_max,harmonic_current_effective_16_min,
        harmonic_current_effective_16_avg,harmonic_current_effective_16_95,harmonic_current_effective_17_max,
        harmonic_current_effective_17_min,harmonic_current_effective_17_avg,harmonic_current_effective_17_95,
        harmonic_current_effective_18_max,harmonic_current_effective_18_min,harmonic_current_effective_18_avg,
        harmonic_current_effective_18_95,harmonic_current_effective_19_max,harmonic_current_effective_19_min,
        harmonic_current_effective_19_avg,harmonic_current_effective_19_95,harmonic_current_effective_20_max,
        harmonic_current_effective_20_min,harmonic_current_effective_20_avg,harmonic_current_effective_20_95,
        harmonic_current_effective_21_max,harmonic_current_effective_21_min,harmonic_current_effective_21_avg,
        harmonic_current_effective_21_95,harmonic_current_effective_22_max,harmonic_current_effective_22_min,
        harmonic_current_effective_22_avg,harmonic_current_effective_22_95,harmonic_current_effective_23_max,
        harmonic_current_effective_23_min,harmonic_current_effective_23_avg,harmonic_current_effective_23_95,
        harmonic_current_effective_24_max,harmonic_current_effective_24_min,harmonic_current_effective_24_avg,
        harmonic_current_effective_24_95,harmonic_current_effective_25_max,harmonic_current_effective_25_min,
        harmonic_current_effective_25_avg,harmonic_current_effective_25_95,harmonic_current_effective_26_max,
        harmonic_current_effective_26_min,harmonic_current_effective_26_avg,harmonic_current_effective_26_95,
        harmonic_current_effective_27_max,harmonic_current_effective_27_min,harmonic_current_effective_27_avg,
        harmonic_current_effective_27_95,harmonic_current_effective_28_max,harmonic_current_effective_28_min,
        harmonic_current_effective_28_avg,harmonic_current_effective_28_95,harmonic_current_effective_29_max,
        harmonic_current_effective_29_min,harmonic_current_effective_29_avg,harmonic_current_effective_29_95,
        harmonic_current_effective_30_max,harmonic_current_effective_30_min,harmonic_current_effective_30_avg,
        harmonic_current_effective_30_95,harmonic_current_effective_31_max,harmonic_current_effective_31_min,
        harmonic_current_effective_31_avg,harmonic_current_effective_31_95,harmonic_current_effective_32_max,
        harmonic_current_effective_32_min,harmonic_current_effective_32_avg,harmonic_current_effective_32_95,
        harmonic_current_effective_33_max,harmonic_current_effective_33_min,harmonic_current_effective_33_avg,
        harmonic_current_effective_33_95,harmonic_current_effective_34_max,harmonic_current_effective_34_min,
        harmonic_current_effective_34_avg,harmonic_current_effective_34_95,harmonic_current_effective_35_max,
        harmonic_current_effective_35_min,harmonic_current_effective_35_avg,harmonic_current_effective_35_95,
        harmonic_current_effective_36_max,harmonic_current_effective_36_min,harmonic_current_effective_36_avg,
        harmonic_current_effective_36_95,harmonic_current_effective_37_max,harmonic_current_effective_37_min,
        harmonic_current_effective_37_avg,harmonic_current_effective_37_95,harmonic_current_effective_38_max,
        harmonic_current_effective_38_min,harmonic_current_effective_38_avg,harmonic_current_effective_38_95,
        harmonic_current_effective_39_max,harmonic_current_effective_39_min,harmonic_current_effective_39_avg,
        harmonic_current_effective_39_95,harmonic_current_effective_40_max,harmonic_current_effective_40_min,
        harmonic_current_effective_40_avg,harmonic_current_effective_40_95,harmonic_current_effective_41_max,
        harmonic_current_effective_41_min,harmonic_current_effective_41_avg,harmonic_current_effective_41_95,
        harmonic_current_effective_42_max,harmonic_current_effective_42_min,harmonic_current_effective_42_avg,
        harmonic_current_effective_42_95,harmonic_current_effective_43_max,harmonic_current_effective_43_min,
        harmonic_current_effective_43_avg,harmonic_current_effective_43_95,harmonic_current_effective_44_max,
        harmonic_current_effective_44_min,harmonic_current_effective_44_avg,harmonic_current_effective_44_95,
        harmonic_current_effective_45_max,harmonic_current_effective_45_min,harmonic_current_effective_45_avg,
        harmonic_current_effective_45_95,harmonic_current_effective_46_max,harmonic_current_effective_46_min,
        harmonic_current_effective_46_avg,harmonic_current_effective_46_95,harmonic_current_effective_47_max,
        harmonic_current_effective_47_min,harmonic_current_effective_47_avg,harmonic_current_effective_47_95,
        harmonic_current_effective_48_max,harmonic_current_effective_48_min,harmonic_current_effective_48_avg,
        harmonic_current_effective_48_95,harmonic_current_effective_49_max,harmonic_current_effective_49_min,
        harmonic_current_effective_49_avg,harmonic_current_effective_49_95,harmonic_current_effective_50_max,
        harmonic_current_effective_50_min,harmonic_current_effective_50_avg,harmonic_current_effective_50_95
    </sql>
    <select id="getListByCond" resultType="com.njcn.harmonic.pojo.po.RMpHarmonicIMagReportD">
        select <include refid="Base_Column_List"/>
        from r_mp_harmonic_i_mag_report_d
        where 1 = 1
        <if test="startTime != null and startTime != ''">
            AND DATE_FORMAT(data_date, '%Y-%m-%d') >=  #{startTime, jdbcType=VARCHAR}
        </if>
        <if test="endTime != null and endTime != ''">
            AND DATE_FORMAT(data_date, '%Y-%m-%d') &lt;=  #{endTime, jdbcType=VARCHAR}
        </if>
        and measurement_point_id IN
        <foreach collection="monitorIdList" open="(" close=")" separator="," item="id">
            #{id}
        </foreach>
    </select>
</mapper>
